> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsleek.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get coupon offers

> Fetch all coupon offers.



## OpenAPI

````yaml https://api.onsleek.ai/openapi.json get /v1/deals/coupons
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sleek API
  description: API documentation for Sleek's API.
servers:
  - url: https://api.onsleek.ai
security:
  - api-key: []
paths:
  /v1/deals/coupons:
    get:
      tags:
        - Coupons
      summary: Get coupon offers
      description: Fetch all coupon offers.
      parameters:
        - schema:
            type: string
            description: >-
              The ID of the next item that will be fetched. Format: `UUID RFC
              4122`
          required: false
          description: >-
            The ID of the next item that will be fetched. Format: `UUID RFC
            4122`
          name: cursor
          in: query
        - schema:
            type: string
            description: The hostname of the retailer to search for.
          required: false
          description: The hostname of the retailer to search for.
          name: hostname
          in: query
      responses:
        '200':
          description: List of coupon offers.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: >-
                            The unique identifier for the coupon. Format: `UUID
                            RFC 4122`
                          example: ea0efd78-2c3c-4efd-9e92-1ab676ee304b
                        code:
                          type: string
                          description: The coupon code value.
                          example: SAVE20
                        startDate:
                          type: string
                          description: >-
                            The date and time when the coupon becomes active.
                            Format: `ISO 8601`
                          example: '2024-01-01T00:00:00.000Z'
                        endDate:
                          type: string
                          description: >-
                            The date and time when the coupon expires. Format:
                            `ISO 8601`
                          example: '2024-12-31T23:59:59.999Z'
                        description:
                          type: string
                          description: The description of the coupon.
                          example: Use SAVE20 coupon code to get 20% off.
                        retailerId:
                          type: string
                          description: >-
                            The ID of the retailer associated with the coupon
                            offer. Format: `UUID RFC 4122`
                          example: 4f9df53d-16dc-4630-8603-8d14ec40fcfe
                        url:
                          type: string
                          description: >-
                            The URL of the retailer's website where the coupon
                            can be used.
                          example: https://www.bestbuy.com
                        name:
                          type: string
                          description: The name of the retailer associated with the coupon.
                          example: BestBuy
                        hostname:
                          type: string
                          description: The hostname of the retailer's website.
                          example: www.bestbuy.com
                        logo:
                          type: string
                          description: >-
                            The URL of the retailer's logo associated with the
                            coupon.
                          example: https://www.bestbuy.com/logo.png
                        updatedAt:
                          type: string
                          description: >-
                            The date and time when the coupon was last updated.
                            Format: `ISO 8601`
                          example: '2024-01-01T12:00:00.000Z'
                      required:
                        - id
                        - code
                        - startDate
                        - endDate
                        - description
                        - retailerId
                        - url
                        - name
                        - hostname
                        - updatedAt
                  cursor:
                    type: string
                    description: >-
                      The ID of the next item in the list. Defined if there are
                      more items to fetch. Pass this as the `cursor` query
                      parameter to fetch the next page. Format: `UUID RFC 4122`
                required:
                  - data
      security:
        - api-key: []
components:
  securitySchemes:
    api-key:
      type: http
      scheme: bearer
      description: API key for accessing the Sleek API.

````